Bug 858621 - [abrt]: kernel BUG at fs/nfs/idmap.c:668!
[abrt]: kernel BUG at fs/nfs/idmap.c:668!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: nfs-maint
Fedora Extras Quality Assurance
abrt_hash:d21d7540b94bf80ceafda03d77e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 04:59 EDT by Jitka Kozana
Modified: 2012-11-14 11:24 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 11:24:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jitka Kozana 2012-09-19 04:59:21 EDT
libreport version: 2.0.10
cmdline:        BOOT_IMAGE=/vmlinuz-3.4.9-1.fc16.x86_64 root=/dev/mapper/vg_jkudrnac-lv_root ro rd.md=0 rd.dm=0 SYSFONT=latarcyrheb-sun16 rd.luks.uuid=luks-9d5ad7ec-d41f-416b-8175-77fa9566757b LANG=en_US.UTF-8 rd.lvm.lv=vg_jkudrnac/lv_root rd.lvm.lv=vg_jkudrnac/lv_swap rd.luks.uuid=luks-1961e0ff-c7be-4e0d-92f1-5ed5413a39fd KEYTABLE=us quiet rhgb

backtrace:      Text file, 5072 bytes

backtrace:
:kernel BUG at fs/nfs/idmap.c:668!
:invalid opcode: 0000 [#1] SMP 
:CPU 2 
:Modules linked in: nfs fscache auth_rpcgss nfs_acl ppdev parport_pc lp parport hidp fuse ipheth 8021q garp stp llc fcoe lockd libfcoe libfc scsi_transport_fc scsi_tgt rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables binfmt_misc snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_seq thinkpad_acpi snd_seq_device snd_pcm arc4 iwlwifi snd_timer mac80211 e1000e btusb bluetooth uvcvideo videobuf2_core videodev media videobuf2_vmalloc videobuf2_memops coretemp iTCO_wdt snd sunrpc tpm_tis cfg80211 tpm soundcore snd_page_alloc iTCO_vendor_support rfkill i2c_i801 microcode uinput tpm_bios joydev xts gf128mul dm_crypt crc32c_intel ghash_clmulni_intel firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 10475, comm: mount.nfs Not tainted 3.4.9-1.fc16.x86_64 #1 LENOVO 4243BQ9/4243BQ9
:RIP: 0010:[<ffffffffa05fe0fb>]  [<ffffffffa05fe0fb>] nfs_idmap_legacy_upcall+0x34b/0x350 [nfs]
:RSP: 0018:ffff880190a1f398  EFLAGS: 00010286
:RAX: 0000000000000017 RBX: ffff8801d3ce5cc0 RCX: 0000000000000004
:RDX: 0000000000000017 RSI: ffff880036866b04 RDI: ffff8801d3ce5cc2
:RBP: ffff880190a1f3d8 R08: 676e6540746f6f72 R09: 6465722e7172622e
:R10: 65722e7172622e67 R11: 6d6f632e74616864 R12: ffff88019caab340
:R13: ffff88020f7c1f90 R14: ffff88020d9f84c0 R15: 0000000000000017
:FS:  00007f55b0559800(0000) GS:ffff88021e280000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:CR2: 00007f510de12000 CR3: 00000001a1bdb000 CR4: 00000000000407e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process mount.nfs (pid: 10475, threadinfo ffff880190a1e000, task ffff8800056f1720)
:Stack:
: ffff880036866b04 ffff880036866b1b ffff880190a1f3d8 ffff88020f7c1f90
: ffff8801d3ce5180 ffff8801d3ce50c0 0000000000000000 ffffffffa0611eb5
: ffff880190a1f478 ffffffff8126a2f4 0000000000000000 ffff88021050c900
:Call Trace:
: [<ffffffff8126a2f4>] request_key_and_link+0x2e4/0x410
: [<ffffffff8126a48e>] request_key_with_auxdata+0x1e/0x70
: [<ffffffffa05fe1d6>] nfs_idmap_request_key+0xd6/0x1b0 [nfs]
: [<ffffffffa05fe4ab>] nfs_idmap_lookup_id+0xeb/0x110 [nfs]
: [<ffffffffa05fe6de>] ? nfs_map_string_to_numeric+0x3e/0xb0 [nfs]
: [<ffffffffa05fee6c>] nfs_map_group_to_gid+0x5c/0x80 [nfs]
: [<ffffffffa05f58a5>] decode_getfattr_attrs+0xbf5/0xfc0 [nfs]
: [<ffffffffa05f88c0>] ? nfs4_xdr_dec_remove+0xb0/0xb0 [nfs]
: [<ffffffffa05f63a8>] decode_getfattr_generic.constprop.51+0x98/0x110 [nfs]
: [<ffffffffa05f88c0>] ? nfs4_xdr_dec_remove+0xb0/0xb0 [nfs]
: [<ffffffffa05f6433>] decode_getfattr+0x13/0x20 [nfs]
: [<ffffffffa05f8947>] nfs4_xdr_dec_lookup_root+0x87/0x90 [nfs]
: [<ffffffffa01f15ad>] rpcauth_unwrap_resp+0x9d/0xd0 [sunrpc]
: [<ffffffffa01ee820>] ? rpc_queue_empty+0x40/0x40 [sunrpc]
: [<ffffffffa05f88c0>] ? nfs4_xdr_dec_remove+0xb0/0xb0 [nfs]
: [<ffffffffa01e4d6f>] call_decode+0x1cf/0x870 [sunrpc]
: [<ffffffff8107a540>] ? autoremove_wake_function+0x50/0x50
: [<ffffffffa01ef900>] __rpc_execute+0x80/0x3c0 [sunrpc]
: [<ffffffffa01e4ba0>] ? call_bc_transmit+0x140/0x140 [sunrpc]
: [<ffffffffa01e4ba0>] ? call_bc_transmit+0x140/0x140 [sunrpc]
: [<ffffffffa01f02a8>] rpc_execute+0x68/0xd0 [sunrpc]
: [<ffffffffa01e6e15>] rpc_run_task+0x75/0x90 [sunrpc]
: [<ffffffffa01e6f33>] rpc_call_sync+0x43/0x70 [sunrpc]
: [<ffffffffa05e61e0>] _nfs4_call_sync+0x30/0x40 [nfs]
: [<ffffffffa05e66fc>] _nfs4_lookup_root+0xac/0xc0 [nfs]
: [<ffffffffa05e93be>] nfs4_lookup_root+0x4e/0x90 [nfs]
: [<ffffffffa05e9435>] nfs4_proc_get_root+0x35/0xb0 [nfs]
: [<ffffffffa05ce4ac>] nfs4_get_rootfh+0x4c/0x140 [nfs]
: [<ffffffffa05cf7a4>] ? nfs_alloc_fattr+0x24/0x80 [nfs]
: [<ffffffffa05c7be5>] nfs4_server_common_setup+0x95/0x1c0 [nfs]
: [<ffffffffa05c8c78>] nfs4_create_server+0x198/0x370 [nfs]
: [<ffffffffa05d3460>] nfs4_remote_mount+0x60/0x2e0 [nfs]
: [<ffffffff81187493>] mount_fs+0x43/0x1b0
: [<ffffffff81144150>] ? __alloc_percpu+0x10/0x20
: [<ffffffff811a06da>] vfs_kern_mount+0x6a/0xf0
: [<ffffffffa05d39b5>] nfs_do_root_mount+0x95/0xe0 [nfs]
: [<ffffffffa05d40b6>] nfs4_try_mount+0x46/0xc0 [nfs]
: [<ffffffffa05d3dd3>] ? nfs4_validate_text_mount_data+0xc3/0xe0 [nfs]
: [<ffffffffa05d5047>] nfs_fs_mount+0x677/0x990 [nfs]
: [<ffffffff81187493>] mount_fs+0x43/0x1b0
: [<ffffffff81144150>] ? __alloc_percpu+0x10/0x20
: [<ffffffff811a06da>] vfs_kern_mount+0x6a/0xf0
: [<ffffffff811a0eb4>] do_kern_mount+0x54/0x110
: [<ffffffff811a2634>] do_mount+0x1a4/0x830
: [<ffffffff811a230a>] ? copy_mount_options+0x3a/0x170
: [<ffffffff811a2e00>] sys_mount+0x90/0xe0
: [<ffffffff81605be9>] system_call_fastpath+0x16/0x1b
:Code: ff 0f 1f 80 00 00 00 00 66 c7 07 00 00 83 ea 02 48 83 c7 02 e9 5b fd ff ff 0f 1f 80 00 00 00 00 41 bf f4 ff ff ff e9 0a fe ff ff <0f> 0b 0f 1f 00 55 48 89 e5 48 83 ec 60 48 89 5d d8 4c 89 65 e0 
:RIP  [<ffffffffa05fe0fb>] nfs_idmap_legacy_upcall+0x34b/0x350 [nfs]
: RSP <ffff880190a1f398>
Comment 1 Juha Tuomala 2012-10-10 09:59:35 EDT
Maybe this one: Bug 838730
Comment 2 Dave Jones 2012-10-23 11:37:47 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 3 Justin M. Forbes 2012-11-14 11:24:07 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.